project "Game"
  kind "WindowedApp"
  language "C"
  staticruntime "Off"
  targetdir "bin/%{cfg.buildcfg}"
  debugdir "."

  defines { "VMATH_SDL" }

  files { "src/**.c", "src/**.h" }
  includedirs {
    "src/",
    "../core/src"
  }
  links {
    "Engine-Core"
  }

  targetdir ("../bin/" .. OutputDir .. "/%{prj.name}" )
  objdir ("../intermediate/" .. OutputDir .. "/%{prj.name}" )

  filter "system:linux"
    links { "SDL2", "SDL2_image", "SDL2_ttf", "m", "cjson"}

  filter "system:windows"
    linkoptions { "/ENTRY:mainCRTStartup" }
    links { "../SDL2.dll", "../SDL2_image.dll" }

  filter "configurations:Debug"
    defines { "DEBUG" }
    runtime "Debug"
    symbols "On"

  filter "configurations:Release"
    defines { "RELEASE" }
    runtime "Release"
    optimize "On"
    symbols "On"

  filter "configurations:Dist"
    defines { "DIST" }
    runtime "Release"
    optimize "On"
    symbols "Off"
